Downgrade Version Software

Discussion in 'Wii - Hacking' started by djultimate, Oct 17, 2008.

Oct 17, 2008

Downgrade Version Software by djultimate at 10:42 PM (2,147 Views / 0 Likes) 17 replies

  1. djultimate
    OP

    Newcomer djultimate Newbie

    Joined:
    Aug 9, 2008
    Messages:
    2
    Country:
    United Kingdom
    Hi ,

    I currently have an un-modded wii (no Chip) with the twighlight hack and homebrew channel installed.

    My system version is 3.3.E , and i have been reading about this version is not so easy to recover in the result of it being bricked.

    So i am thinking of downgrading the software to 3.2 ? , though am haveing a problem working out how to.

    Can anyone help me do this ? or should i leave it as it is ?
     
  2. fly_us

    Member fly_us GBAtemp Regular

    Joined:
    Jul 8, 2007
    Messages:
    130
    Country:
    United States
    if you dont have a chip then there is no point to downgrade to 3.2.
     
  3. AeroHex

    Banned AeroHex Banned

    Joined:
    Sep 8, 2008
    Messages:
    498
    Country:
    Australia
    correction there is

    STARFALL YAAAAAY
     
  4. skawo96

    Member skawo96 GBAtemp Advanced Maniac

    Joined:
    May 22, 2008
    Messages:
    1,925
    Country:
    United Kingdom
    I don't see why someone without a chip would need starfall or downgrader. 3.3 - removes Trucha Bug, removes old TP hack. That's all. Only if you install a bad wad it seems be harder to unbrick your Wii (but really, it's not), but regardless of firmware you WILL need a modchip to do that.
    So, no. You don't have reason to downgrade.
     
  5. Tichinde925

    Member Tichinde925 Marth Ditto Money Match?

    Joined:
    Jul 14, 2008
    Messages:
    1,096
    Location:
    Warwick, Rhode Island
    Country:
    United States
    +1

    Being able to autoboot Twilight Princess!

    You must have the twilight hack save data to be able to launch any homebrew app to install/uninstall to fix any problem that is fixable via the Twilight Hack.

    Plus its fun holding Y on the gamecube controller to launch Smash Bros. Brawl. No more having to use the wiimote / classic controller to select the disc channel when you can autoboot Brawl!
     
  6. DespizingU

    Member DespizingU GBAtemp Advanced Fan

    Joined:
    Dec 17, 2007
    Messages:
    705
    Country:
    United States
    I just did this myself a few hours ago. And since you don't have a chip(like I don't), then I recommend you downgrading, as you'll be able to recover from a brick from a bad wad on 3.2, with Starfall and the TP Hack installed.

    So to downgrade to 3.2, get AnyRegion Changer. You'll see the option near the bottom of the menu to downgrade to 3.2(it took the process about 10 minutes to totally downgrade for me, it's very simple, make sure the Wii can connect to the internet).

    After you get to 3.2, simply grab Starfall and install all the hacks on it(the hacks install pretty much instantly).

    Then make sure you have the TP Hack on Wii.

    And that's it. If you ever get bricked from a bad wad, just Hold Y down on a GC controller. And insert Twilight Princess into the Wii while the system is off. While you're inserting TP the game will autoboot, and you'll be able to uninstall the bad wad that bricked you with Wad Manager.

    So yes, there is a point to downgrade to 3.2 if you don't have a chip. I personally debated for a couple days whether I wanted to downgrade. And now that I have I have no more fears about getting a brick from a bad wad.
     
  7. dr99

    Newcomer dr99 Member

    Joined:
    Oct 10, 2008
    Messages:
    15
    Country:
    United States
    this sounds like a good idea, but will games with the 3.3 update on the disk force you to upgrade before playing them?
     
  8. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    no, starfall blocks disc updates.
     
  9. Whats85

    Newcomer Whats85 Member

    Joined:
    Apr 8, 2008
    Messages:
    37
    Country:
    Netherlands
    When Starfall blocks the update, will the game work without the update on the disc installed. In other words does a game with 3.3 update on it work with older system firmware (3.1E in my case)?
     
  10. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    no games currently released "Need" the 3.3 update, and it is unlikely any ever will, the IOS's patched by 3.3 update aren't used widely by software.
     
  11. Luigi728

    Member Luigi728 GBAtemp Regular

    Joined:
    Sep 23, 2008
    Messages:
    253
    Country:
    Netherlands
    But can you also unblock updates? In case there comes an update you do need to play that game?
     
  12. djdynamite123

    Banned djdynamite123 Master Of Hardcore!

    Joined:
    Sep 21, 2008
    Messages:
    3,791
    Location:
    Redcar, England UK
    Country:
    United Kingdom
    That's something you don't need to worry about for a good while*
     
  13. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    and yes, you can, by just running starfall again.
     
  14. dr99

    Newcomer dr99 Member

    Joined:
    Oct 10, 2008
    Messages:
    15
    Country:
    United States
    will AnyRegion Changer not work anymore to downgrade from 3.3 to 3.2 since they patched all the ios' on nintendo's servers?
     
  15. Boggot

    Newcomer Boggot Member

    Joined:
    Apr 2, 2008
    Messages:
    22
    Country:
    United Kingdom
    is this true?
     
  16. WiiCrazy

    Member WiiCrazy Be water my friend!

    Joined:
    May 8, 2008
    Messages:
    2,391
    Location:
    Istanbul
    Country:
    Turkey
    yes and no
    yes : it won't work currently if you never happened to install a custom ios that has patches for ticket services...
    no : it will not be long someone to find a workaround... already tweezers used another hole to install homebrew channel
     
  17. haunted6108

    Newcomer haunted6108 Member

    Joined:
    Sep 28, 2008
    Messages:
    23
    Location:
    Perth, Australia
    Country:
    Australia
    I tried downgrading from 3.3 and the ios wouldn't install for me
     
  18. elvis24

    Newcomer elvis24 Advanced Member

    Joined:
    Oct 10, 2008
    Messages:
    84
    Location:
    uk
    Country:
    United States
    Hi
    I have a pal wii with 3.1e
    I am running homebrew channel via the twp hack and have the back up loader channel 0.3 installed.
    two questions
    1 should I remove the originla 0.1 version on back up loader channel
    2 - is there a need for me to update the firmware to 3.2e

    cheers
     

Share This Page